
Figure - Bug #118000
【IOVDEV-28177】【VC1】【0095】【台架】【EE环境】【副屏】【设置】多媒体音量调节条与声音不同步
2023-05-17 17:02 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-18

Test Type: ST Root cause:

Description

【前提条件】：副屏上电，wifi已连接通信正常，功放已连接通信正常

【操作步骤】

1.打开音乐播放器播放音乐

2.副屏-设置-声音

3.点按手势调节媒体音量调节条

【实际结果】

1.音量调节条回弹

2.调节条位置与实际媒体音量不匹配

【期望结果】

1.音量调节条正常

2.调节条位置与实际媒体音量匹配正常

【备注】：中控升级到03.02.0080.c101出现此问题

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-17 17:12 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118000/051505.tar.zip

#2 - 2023-05-18 10:26 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-05-18 11:23 - CD FW-廖涛

- Category changed from CD-FW to AUDIO-FW
- Assignee changed from CD FW-廖涛 to Multimedia组-RD3_TSCD 梁卿山

Hi, 卿山：

麻烦看下这个问题，从日志中分析，出错的时候，设置调整音量后，通过微服务发送给中控，并成功收到了回复，但是 AudioService 去设置音量的时候

失败了，导致音量回弹。

日志文件为：

000066_manual_00031_230515_190219.log

关键信息：

05-15 19:02:41.341  1517 15304 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null

05-15 19:02:41.342  1517 15304 W AS.AudioService: idcm_warn: fail to set Vol: 37, respone: null

05-15 19:02:41.342  1517 15304 W AS.AudioService: idcm_warn: exception: java.lang.Exception: fail to set Vol: 37

05-15 19:02:41.365  1517 15304 I volume_changed: [3,10,37,39,com.android.settings]

05-15 19:02:41.366 18402 18443 I vol.Events: writeEvent level_changed STREAM_ALARM 7

05-15 19:02:41.369  1517 15304 D AS.AudioService: idcm_volume:==> use the old index: 10 isStreamMute = false

#4 - 2023-05-18 15:42 - Multimedia组-RD3_TSCD 梁卿山

Hi all,

调节音量时，中控响应超过600ms，导致超时，返回为null。所以音量设置会失败。

1881:05-15 19:02:40.741  1517 15304 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=37, calling=com.android.settings)

1882:05-15 19:02:40.741  1517 15304 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

1883:05-15 19:02:40.741  1517 15304 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"37"}}

1884:05-15 19:02:40.741  1517 15304 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"37"}}. ★★★请求

音量设置

1885:05-15 19:02:40.745  2039  1915 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1684148560741479519',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684148560741479519,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"37"}}}}

1886:05-15 19:02:40.773  2039  1916 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1684148560741479519',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":1684148560741479519,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"37"}}}}

1887:05-15 19:02:40.774  2039  1916 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"37"}} ★★★ 中控回复

1923:05-15 19:02:41.341  1517 15304 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null ★★★ 微服务未转发，导致超时

1924:05-15 19:02:41.342  1517 15304 W AS.AudioService: idcm_warn: fail to set Vol: 37, respone: null

下一步

麻烦AF组看一下为什么微服务没有转发消息。

#5 - 2023-05-18 17:23 - CD FW-程天颖

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-廖涛

#6 - 2023-05-19 14:12 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

- Need_Info changed from -- to TEST

- Fixed Version set to 2023-05-18
■ Current conclusion

当前问题是因为在接收到中控返回的音量消息的同时，有收到了时间同步的消息，而在旧版本中，时间同步需要 2s，导致 AudioService 音量设置接收消

息超时（600ms），音量设置失败回弹。

时间同步慢的问题已经在最新的版本中处理了，提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/199510

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/200974

■ Next action

测试验证，若没有问题，可以让客户升级副屏版本到最新版进行验证。

#7 - 2023-05-23 14:50 - CDTS_TEST 王成

在102版本合入的功能

#8 - 2023-05-23 15:00 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#9 - 2023-05-23 15:00 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-23 15:00 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

video(65).mp4 4.52 MB 2023-05-17 CDTS_TEST 王成
